## org.apache.myfaces.custom.fieldset
Class Fieldset

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.apache.myfaces.custom.htmlTag.HtmlTag
                      org.apache.myfaces.custom.fieldset.Fieldset

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.apache.myfaces.component.UserRoleAware, javax.faces.component.ValueHolder

public class Fieldset
extends org.apache.myfaces.custom.htmlTag.HtmlTag

Version:
  $Revision: 290595 $ $Date: 2005-06-09 02:27:56 -0400 (Thu, 09 Jun 2005) $
Author:
  svieujot (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`Fieldset()`

Method Summary
`java.lang.String` `getLegend()`
`java.lang.Object` `getValue()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setLegend(java.lang.String legend)`

Methods inherited from class org.apache.myfaces.custom.htmlTag.HtmlTag
`getClientId, getEnabledOnUserRole, getFamily, getStyle, getStyleClass, getVisibleOnUserRole, isRendered, setEnabledOnUserRole, setStyle, setStyleClass, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### Fieldset

    public Fieldset()

Method Detail

### getValue

    public java.lang.Object getValue()

### getLegend

    public java.lang.String getLegend()

### setLegend

    public void setLegend(java.lang.String legend)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)